function I = Iintegral(n,m) ;

global ee qq

a = qq/(1-ee) ;

dnu = pi/1000 ;

nu= 0: dnu :pi;
nu=nu(:);

E = 2* atan( sqrt((1-ee)/(1+ee)) * tan(nu/2) ) ;

t = a^(3/2) * (E - ee*sin(E)) ;

if n~=0,
    dI = (1+ee*cos(nu)).^n.*cos(m*(nu - t)) ;
else
    dI = cos(m*(nu - t)) ;
end

I = 2*trapz(dI)*dnu ;
